Subject: bug#49979: Duplicity BackendException: No module named 'paramiko'

From: Cayetano Santos <[email-masked]>
Date: Wed, 11 Aug 2021 11:49:01 +0200

>mer. 11 août 2021 at 00:28, Leo Famulari ...

> On Tue, Aug 10, 2021 at 12:15:44PM +0200, Cayetano Santos wrote:
>>
>> Context:
>>
>> Using guix as a package manager under a foreign up to date 
>> archlinux
>> distribution.
>>
>> The output of guix describe --format=channels is
>>
>>    https://gitlab.com/csantosb/wikidata/-/blob/master/guix-profiles-backup/guix-channels.scm
>>
>>
>> Problem:
>>
>> When using duplicity to backup to a sftp server, I get this 
>> error message
>>
>>    BackendException: Could not initialize backend: No module 
>>    named
>> 'paramiko'
>>
>> I have installed python-paramiko, but this doesn't fixes the 
>> problem.
>
> I don't use Duplicity. Can you give instructions to reproduce 
> this?
>
> It's likely that paramiko needs to be added as a dependency of 
> the
> duplicity package, but we should test that first.

Sure. Just issue a

    guix install duplicity

and then

    duplicity /tmp sftp://[email-masked]/dummy_backup

you’ll get a

BackendException: Could not initialize backend: No module named 
'paramiko'

message.